from banbou import _Projet
import banbou


def test_notifier_correctement(mocker):

    sut = _Projet()

    sut.notifs = []

    sut.notifier("CSV", "Incident de trop 01.")
    sut.notifier("DWG", "Encore un incident 02.")
    sut.notifier("FRONT", "Ce nom est pas correct 03.")

    assert sut.notifs[0].categorie == "CSV"
    assert sut.notifs[0].texte == "Incident de trop 01."

    assert sut.notifs[1].categorie == "DWG"
    assert sut.notifs[1].texte == "Encore un incident 02."

    assert sut.notifs[2].categorie == "FRONT"
    assert sut.notifs[2].texte == "Ce nom est pas correct 03."